package com.ruoyi.bst.teamUser.service;

import java.util.List;
import com.ruoyi.bst.teamUser.domain.TeamUser;
import com.ruoyi.bst.teamUser.domain.TeamUserVO;
import com.ruoyi.bst.teamUser.domain.TeamUserQuery;

/**
 * 拼桌用户Service接口
 *
 * @author ruoyi
 * @date 2025-05-22
 */
public interface TeamUserService
{
    /**
     * 查询拼桌用户
     *
     * @param id 拼桌用户主键
     * @return 拼桌用户
     */
    public TeamUserVO selectTeamUserById(Long id);

    /**
     * 查询拼桌用户列表
     *
     * @param teamUser 拼桌用户
     * @return 拼桌用户集合
     */
    public List<TeamUserVO> selectTeamUserList(TeamUserQuery teamUser);

    /**
     * 新增拼桌用户
     *
     * @param teamUser 拼桌用户
     * @return 结果
     */
    public int insertTeamUser(TeamUser teamUser);

    /**
     * 修改拼桌用户
     *
     * @param teamUser 拼桌用户
     * @return 结果
     */
    public int updateTeamUser(TeamUser teamUser);

    /**
     * 批量删除拼桌用户
     *
     * @param ids 需要删除的拼桌用户主键集合
     * @return 结果
     */
    public int deleteTeamUserByIds(Long[] ids);

    /**
     * 删除拼桌用户信息
     *
     * @param id 拼桌用户主键
     * @return 结果
     */
    public int deleteTeamUserById(Long id);

    public TeamUserVO selectOne(TeamUserQuery query);

    List<TeamUserVO> selectTeamUserListByTeamId(Long teamId);
}
